# Items list for Virtual Hunt
#
#
#
# Name          - name of item!
# Flags         - decides what type of item and other things
#                 A - armor
#                 D - drug/potion
#                 E - edible
#                 M - doesn't respawn in another area, stays here
#                 N - monsters cannot pick it up
#                 R - Readable
#                 S - shield
#                 T - cannot take it
#                 U - only useable once, when dropped, no longer appears
#                 W - weapon
#                 Y - can't "see"
#                 Q - respawns in original room only
#
#
# Modifier      - How much it modifiers, varies for each type of item
# StartRoom     - where it appears at first, if Random, appears anywhere -- as
#                 long as room does not have I flag -- meaning no items allowed
# Weight        - how heavy it is, usually 1, but for weapons, maybe 10
#                 0, means, barely any weight -- like manure. :)
# Lifespan      - how long it'll last if you wield or wear it, counted in 500
#                 "ticks" -- defaults to 10
# Strength      - for weapons/armor/shield only, decides how much damage they
#                 can take before being broken
#
#------------------------------------------------------------------------------

Name            Sign
StartRoom       StartRoom
Flags           RTY
Description

|15Welcome to Virtual Hunt!
|03------------------------
|07Before you go off to slaughter demons, you must learn how to play!  Playing
the game is easy.  You simply type in a command (often a short form of the
command) and your character will act upon that command.

For instance, to move your character into a different room, you type out the
direction of the room and press Enter.  To move north, type |12NORTH|07, to move
south, type |12SOUTH|07, etc.  To look around the room, type |12LOOK|07 or just the letter
|12L|07.

|09NOTE:  Command names are not case-sensitive, so you can type either NORTH,
       north, or even North to move north.

~

Name            Sign
StartRoom       Front
Flags           RTY
Description

|15Moving
|03------
|07There are altogether six directions you may move in, NORTH, SOUTH, EAST,
WEST, UP, and DOWN.  You may simply type the first letter of the direction,
such as U to move up.

~

Name            Sign
StartRoom       BlueRoom
Flags           RTY
Description

|15Items
|03-----
|07In this game, you will pick up and drop items regularly.  To pick up an
item, type |12GET <itemname>|07.  For instance, to pick up the sword in this
room, type |12GET SWORD|07.  To drop the sword, type |12DROP SWORD|07.  Try
it!  To see what items you're currently carrying.  Type |12INVENTORY |07or
just |12I |07for short.  To look at an item closely, type |12LOOK <itemname>|07.
Of course, to just look around the room, type |12LOOK|07 by itself.

~

Name            Sword
Flags           W
StartRoom       BlueRoom
Modifier        3
Description
|03A beautifully crafted sword.
~

Name            Armor
Flags           A
StartRoom       BlueRoom
Modifier        1
Description
|03Beautifully crafted armor.
~

Name            Shield
Flags           S
Modifier        1
StartRoom       DungeonCell
Description
|03A beautifully crafted shield.
~

Name            Sign
StartRoom       DungeonCell
Flags           RTY
Description

|14Attacking
|03---------
|03If you wish to attack another player, type |11ATTACK <playername>|03.  Try it
now on this tied up thief.  Don't worry, he won't attack!  |13Also, if you
wish to repeat the last command but don't want to type it all out again,
type |14Z |13and the last command will be repeated.

|15NOTE:  Most commands allow the use of partial names.  For instance, if there
       is a player called Big Ugly Fool, you can type ATTACK FOOL to attack
       him or you can type ATTACK BIG as well.

|11If there is only ONE other person in the same room as you and you wish to
attack him, simply type A then [Enter].  Or use |13A <playername> |11as the command.

~

Name            Sign
StartRoom       GreenRoom
Flags           RTY
Description

|13Congratulations
|05---------------
|03If you've read this far, congratulations!  You are well on your way to
wasting some demons!  Of course, there is still quite a bit you will learn,
but the rest is fairly easy and you should find it enjoyable to try out new
things.  To complete your course and move into the real virtual world, you
must take on a few enemies in an arena.  (This is only to ensure people know
what they're doing before embarking.)  Once you destroy them all, you will
be able to try out the other worlds.  Good luck!

~


Name            Axe
Flags           W
StartRoom       WeaponArea
Modifier        5
Description
|03A beautifully crafted axe.
~

Name            Platemail Armor
Flags           A
StartRoom       WeaponArea
Modifier        3

Name            Iron Shield
Flags           S
Modifier        2
StartRoom       WeaponArea


